<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="部门id号" prop="deptId" v-model="form.deptId" placeholder="请输入部门id号"/>
                            <Field label="部门名称" prop="deptName" v-model="form.deptName" placeholder="请输入部门名称"/>
                            <Field label="姓名" prop="name" v-model="form.name" placeholder="请输入姓名"/>
                            <Field label="工号" prop="number" v-model="form.number" placeholder="请输入工号"/>
                            <Field label="电话号码" prop="phone" v-model="form.phone" placeholder="请输入电话号码"/>
                            <Field label="负责窗口数量" prop="windowCount" v-model="form.windowCount" placeholder="请输入负责窗口数量"/>
                            <Field label="备注" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注"/>

            </el-row>

            <form-buttons @submit='submitForm' noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "WindowOwnerDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("window/owner")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "窗口负责人",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="window/owner/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改窗口负责人";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "window/owner/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增窗口负责人";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="window/owner/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "窗口负责人详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    deptId : 0,
                    deptName : "",
                    name : "",
                    number : "",
                    phone : "",
                    windowCount : null,
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
